OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.DebugLabel

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTDebugLabel :: MonadIO m => m Bool
- gl_EXT_debug_label :: Bool
- gl_BUFFER_OBJECT_EXT :: GLenum
- gl_PROGRAM_OBJECT_EXT :: GLenum
- gl_PROGRAM_PIPELINE_OBJECT_EXT :: GLenum
- gl_QUERY_OBJECT_EXT :: GLenum
- gl_SAMPLER :: GLenum
- gl_SHADER_OBJECT_EXT :: GLenum
- gl_TRANSFORM_FEEDBACK :: GLenum
- gl_VERTEX_ARRAY_OBJECT_EXT :: GLenum
- glGetObjectLabelEXT :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glLabelObjectEXT :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLchar -> m ()

# Extension Support

glGetEXTDebugLabel :: MonadIO m => m Bool

Is the EXT_debug_label extension supported?

gl_EXT_debug_label :: Bool

Is the EXT_debug_label extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTDebugLabel` in those cases instead.

# Enums

gl_BUFFER_OBJECT_EXT :: GLenum

gl_PROGRAM_OBJECT_EXT :: GLenum

gl_PROGRAM_PIPELINE_OBJECT_EXT :: GLenum

gl_QUERY_OBJECT_EXT :: GLenum

gl_SAMPLER :: GLenum

gl_SHADER_OBJECT_EXT :: GLenum

gl_TRANSFORM_FEEDBACK :: GLenum

gl_VERTEX_ARRAY_OBJECT_EXT :: GLenum

# Functions

glGetObjectLabelEXT

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `object`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `label` pointing to `bufSize` elements of type `GLchar`.
-> m () |

glLabelObjectEXT

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `object`.
-> GLsizei | `length`.
-> Ptr GLchar | `label`.
-> m () |